2002-12-29  arthur

	* cvsd.c, log.c, log.h: rewrite logging stuff to do logging to
	stderr until logging is started, this makes logging configureable
	from e.g. the configuration file
	* cvsd.c: fix typo (numver)
	* log.c: bugfix: logging to syslog was always done as LOG_DEBUG
	* cfgfile.c, cvsd.conf.5.in: completely remove Port option from
	configfile
	* cvsd.c: fix typo (debigging)
	* cvsd.c: do not log to syslog in debugging mode

2002-12-22  arthur

	* NEWS, TODO, configure.ac, debian/changelog, ChangeLog:
	release 0.9.15
	* config.guess, config.sub: new versions
	* FAQ: updated debugging section to new -d commandline option
	* README: point to FAQ for debugging information
	* debian/control: upgraded standards-version to 3.5.8
	* debian/control: add note in description about pserver in cvs
	package
	* debian/postinst: use invoke-rc.d to stop cvsd after it is
	(re)configured
	* cvsd.8.in, cvsd.c: add -d, --debug switch to run in debugging
	mode
	* cvsd-buildroot.8.in, cvsd-passwd.8.in, cvsd.8.in, cvsd.conf.5.in:
	do not hyphenate manual pages, it is ugly
	* ChangeLog: compacted ChangeLog a bit
	* Makefile.am, cfgfile.c, configure.ac, cvsd.c, log.c, log.h,
	reslimit.c, xmalloc.c: replace logging directly to syslog with
	wrapper module so that it will be more easily configurable
	* cvsd.c: make failure of setgroups() a warning instead of fatal
	* configure.ac: moved check of sys/types.h before sys/socket.h

2002-12-01  arthur

	* cvsd-passwd.in: don't die when we can't open cvsd.conf, just warn
	* README: added note about SystemAuth in CVSROOT/config file
	* FAQ, Makefile.am: FAQ is now generated from faq.html of homepage

2002-11-29  arthur

	* cvsd.spec.in: changes to put cvsd-buildroot in %post and to use
	chkconfig (thanks to John van Zantvoort <j.vanzantvoort@chello.nl>
	and Sam Bingner <Sam.Bingner@hickam.af.mil>
	* cvsd.init.redhat71.in: added stuff to identify cvsd in startup on
	redhat thanks to John van Zantvoort <j.vanzantvoort@chello.nl>
	* config.guess, config.sub: new versions

2002-10-27  arthur

	* NEWS, TODO, configure.ac, debian/changelog,ChangeLog:
	release 0.9.14
	* install-sh: new version from automake
	* cvsd.c: moved closing of filedescriptors to last possible moment

2002-10-26  arthur

	* debian/cvsd.init: changed restart output to be clearer in what it
	does

2002-10-25  arthur

	* cvsd-passwd.8.in: add examples section
	* cvsd-passwd.8.in, cvsd-passwd.in: set default user mapping based
	on contents of cvsd.conf
	* debian/config: make using back in debconf possible
	* cvsd.c: close all unnecessary file descriptors before running cvs
	* configure.ac, cvsd.c: drop all supplemental groups
	* debian/control: upgraded standards-version to 3.5.7
	* debian/rules: explicitly specify which perl to use
	* autogen.sh: generate warnings when running autoheader and
	autoconf

2002-10-06  arthur

	* configure.ac, debian/changelog, ChangeLog: release 0.9.13.1
	(for debian only due to bug in source tarfile)

2002-10-03  arthur

	* ChangeLog, ChangeLog-2001: moved changes of 2001 to
	ChangeLog-2001
	* INSTALL: new version from autoconf
	* ChangeLog: made ChangeLog more compact
	* NEWS, TODO, configure.ac, debian/changelog, ChangeLog:
	release 0.9.13

2002-09-28  arthur

	* debian/docs: install sample configuration file in doc directory
	* cvsd-buildroot.in: be a little more specific about what to rerun
	if anything changes
	* debian/: postrm, templates: on package purge prompt to remove
	chroot jail
	* debian/templates: fix spelling
	* debian/cvsd.init, cvsd.init.in, cvsd.init.redhat71.in: only try
	to get pidfile info from configfile if there is a configfile
	* .cvsignore: cvsd-passwd is now generated from cvsd-passwd.in

2002-09-27  arthur

	* FAQ: fixed a bit of spelling and added note about using ldap for
	uid information
	* configure.ac, cvsd-passwd, cvsd-passwd.in: replace perl
	invocation in cvsd-passwd with the one found by configure
	* configure.ac: created m4 macro AJ_PROG_FIND to look for program
	and added ability to specify program using --with-program

2002-09-26  arthur

	* configure.ac: fixed typo

2002-09-25  arthur

	* configure.ac, cvsd-buildroot.in: removed finding tmpreaper from
	configure

2002-09-24  arthur

	* debian/: control, rules: removed build-dependency on cvs by using
	--with-cvs=/usr/bin/cvs when calling configure
	* configure.ac: make it possible to specify cvs binary using
	--with-cvs and only warn if cvs isn't found
	* debian/rules: by default enable warnings when building debian
	package

2002-09-23  arthur

	* FAQ, README, configure.ac, cvsd.c: implemented and documented the
	use of tcp wrappers trhough libwrap (currently disabled by default)
	* README: fixed typo
	* cvsd.c: close client socket when getnameinfo() returns an error
	* cvsd.c: log with PACKAGE name instead of hardcoded "cvsd"

2002-09-22  arthur

	* configure.ac: removed AC_PROG_INSTALL since this is done by
	AM_INIT_AUTOMAKE

2002-09-20  arthur

	* configure.ac: add proper copyright statement to generated
	configure script

2002-09-18  arthur

	* debian/copyright: replaced section on getting GPL from FSF with
	section on where to find it on Debian
	* debian/changelog: removed unnecessary emacs stuff
	* cvsd-buildroot.in: do not look for CVSROOT directories in /tmp

2002-09-16  arthur

	* configure.ac, debian/changelog: release 0.9.12.1 (patches for
	* debian/copyright: added notes about me being the maintainer and
	where to get the current version of cvsd
	* debian/control: changed Standards-Version to 3.5.6.0

2002-09-14  arthur

	* NEWS, TODO, configure.ac, debian/changelog, ChangeLog:
	release 0.9.12

2002-09-11  arthur

	* cvsd-buildroot.in: just use sed from the path instead of the one
	found by configure
	* cvsd-buildroot.in: added libraries specific for solaris, fixed
	sed regexp to also match tabs and loose more errors from finding
	files with ls

2002-09-10  arthur

	* cvsd-buildroot.in: follow symlinks when tarring devices
	* configure.ac, cvsd-buildroot.in, cvsd.init.in: find out echo
	flavor for ourselves instead of relying on configure since
	configure may use a different shell
	* cvsd-buildroot.in: check for existence of CVSROOT/passwd file

2002-08-25  arthur

	* cvsd-passwd.8.in: updates manual page to reflect changes in
	cvsd-passwd
	* NEWS, TODO, configure.ac, debian/changelog, ChangeLog:
	release 0.9.11
	* cvsd-buildroot.in: make output better readable by removing
	program name
	* cvsd-buildroot.in: don't report all the errors of tar and chown
	* INSTALL, config.guess, config.sub, configure.ac: newer versions
	of autoconf/automake tools
	* cvsd-passwd: added some documentation and TODO notes
	* cvsd-buildroot.in: add check if all repository users are mapped
	to cvsd is applicable
	* FAQ: inserted new question and rephrased one sentence

2002-08-21  arthur

	* getinfos.c: fixed NULL pointer in strcmp() and complete
	misfunctioning of getnameinfo() thanks to Florian Zschocke
	<zschocke@gmx.net>
	* cvsd-passwd: fixed bug when adding user with default user
	mapping, thanks to Florian Zschocke <zschocke@gmx.net>

2002-08-09  arthur

	* NEWS: fixed spelling

2002-07-28  arthur

	* NEWS, TODO, configure.ac, debian/changelog, ChangeLog:
	release 0.9.10
	* debian/control: changed section and description for debian
	package
	* .cvsignore, Makefile.am, configure.ac, cvsd.spec.in: added .spec
	file for rpms thanks to Matthew L Daniel and Andreas Metzler

2002-07-24  arthur

	* Makefile.am, configure.ac, cvsd.c, getinfos.c, getinfos.h:
	removed legacy networking code from cvsd.c and replaced with
	wrappers for getaddrinfo() and getnameinfo() in getinfos.[ch] for
	platforms that don't have them and removed --disable-afindep from
	configure

2002-07-23  arthur

	* configure.ac: chache check for daemon() to only check once

2002-07-22  arthur

	* daemon.c: added forgotten return statement and included daemon.h
	* configure.ac: also search sys/socket.h for socklen_t

2002-07-21  arthur

	* configure.ac: made more readable by adding some comments
	* cvsd-passwd.8.in, getopt_long.c, getopt_long.h: updated copyright
	notices
	* configure.ac, cvsd.c: changed cvsd_numchildren to be volatile
	* configure.ac: also look for getaddrinfo() and getnameinfo() with
	-lsocket

2002-07-15  arthur

	* README: added note about rerunning cvsd-buildroot
	* cvsd.init.in, cvsd.init.redhat71.in, debian/cvsd.init: read
	pidfile from configfile and partially support no pidfile
	* cvsd-passwd: accept a specified system user and have a
	configurable default for newly created users

2002-07-13  arthur

	* configure.ac, cvsd-buildroot.8.in, cvsd-buildroot.in, cvsd.c:
	take advantage of new autoconf features

2002-07-12  arthur

	* .cvsignore: ignore development directories
	* README: updated (shortened) with references to FAQ
	* cvsd-buildroot.8.in: updated manual page with notes about recent
	changes and links to README and FAQ, added a NOTES section with
	some tips
	* cvsd-buildroot.in: create lockdirectories if they do not already
	exist
	* cvsd-buildroot.in: ensure correct permissions of the chroot jail
	itself
	* cvsd.c, configure.ac: improve signalhandling by using sigaction()
	instead of signal()
	* cvsd.c: replaced do-while loop with simpler while loop in
	sigchld_handler()
	* cvsd.c: add debugging of nice() setgid() and setuid()
	* configure.ac: check for size_t and socklen_t and replace
	socklen_t with size_t if it isn't defined

2002-06-25  arthur

	* configure.ac, cvsd.c: removing pidfile from cvsd is silly because
	we are in a chroot jail and probably have wrong permissions anyway

2002-06-24  arthur

	* NEWS, TODO, configure.ac, debian/changelog, ChangeLog:
	release 0.9.9
	* cvsd.conf.5.in: added note about new Listen formats
	* configure.ac, cvsd.init.redhat71.in: added init script for redhat
	7.1
	* cvsd-buildroot.in: major portability improvements by better
	library checking and more predefined libraries for some platforms,
	also checking and adding of users that are used in repositories to
	passwd file in chroot jail
	* cvsd-buildroot.in: major portability improvements by better
	library checking and more predefined libraries for some platforms,
	also checking and adding of users that are used in repositories to
	passwd file in chroot jail
	* cfgfile.c: also allow other formats for Listen configoption
	* cfgfile.c, cvsd.c: add a limited addaddress() function for old
	networking code
	* configure.ac, cvsd.c: remove pidfile on exit
	* .cvsignore: added backup files, homepage and some other files to
	be ignored
	* cvsd.c: log starting of debugging version, proper user of fcntl()
	by keeping old flags and clearing NONBLOCK flag on child
	connections

2002-06-14  arthur

	* Makefile.am: added FAQ to distribution list
	* Makefile.am, cvsd.init.in, debian/.cvsignore, debian/cvsd.init,
	debian/rules: changed init script to be generic and moved debian
	specific init script to debian directory
	* cvsd.conf.5.in: added note about using CvsCommand within a chroot
	jail
	* cvsd-buildroot.8.in, cvsd.8.in: chaged "rootjail" to "chroot
	jail"
	* cvsd-passwd.8.in: added note about genericness of cvsd-passwd
	* cvsd.c: changed too many connections loglevel to info and set
	some debugging messages to level debug
	* FAQ, debian/docs: added a FAQ
	* README: chaged "rootjail" to "chroot jail" and changed some
	wording
	* README: added section on lockfiles

2002-05-18  arthur

	* INSTALL, config.guess, config.sub: new version of autotools
	support files

2002-05-10  arthur

	* cvsd.c: portability fix by Leif Stensson <leist@ida.liu.se>
	* cvsd.c: added more debug info and fixed debug loglevel

2002-04-06  arthur

	* NEWS, TODO, configure.ac, debian/changelog, ChangeLog:
	release 0.9.8

2002-04-04  arthur

	* cfgfile.c, cfgfile.h, cvsd.c, daemon.c, daemon.h, getopt_long.c,
	getopt_long.h, reslimit.c, reslimit.h: removed unneeded spaces and
	added const where possible
	* xmalloc.c: add extra check for NULL passed in xtrsdup()
	* cvsd.c: separated listening per Listen directive in configfile
	and fail if no socket can be bound for a Listen directive

2002-04-02  arthur

	* cvsd.c: increased logging of ports to listen on, fixed off by one
	error (very large number of addresses/ports to listen on in
	configfile), do not listen on unix sockets and be more forgiving if
	protocol is not supported by socket()

2002-03-30  arthur

	* ChangeLog, NEWS, TODO, configure.ac, debian/changelog:
	release 0.9.7
	* debian/: config, postinst, templates: replaced Port configuration
	option by Listen configuration option (debconf)
	* cvsd.c: report IPv4-mapped-IPv6 as an IPv4 one

2002-03-29  arthur

	* debian/: config, postinst, templates: added option to not use
	debcof

2002-03-26  arthur

	* configure.ac: add check for getnameinfo()
	* daemon.c: stupid typo
	* configure.ac: correctly handle --disable flags
	* Makefile.am: daemon.h missing from distribution

2002-03-23  arthur

	* cfgfile.c, configure.ac, cvsd.c, cvsd.conf-dist, cvsd.conf.5.in:
	new networking code: should be address family independent (support
	ipv6 and others), replaced Port config option with Listen and
	overall improved networking code and debugging of networking
	* cvsd.c: added checking for configfile path
	* cfgfile.c: typo in configfile parsing
	* cfgfile.c: improved configfile line parsing
	* cvsd.c, xmalloc.c, xmalloc.h: added strdup() wrapper and fix
	double close of serversocket

2002-03-22  arthur

	* cvsd.c: moved code a little
	* cvsd.c: seporated fork()ing code from networking code and small
	logging improvement (terminology)

2002-03-16  arthur

	* configure.ac: fix for using replace outside check for daemon in bsd
	library

2002-03-11  arthur

	* configure.ac: also look for daemon() in -lbsd and check for
	atexit() function

2002-03-10  arthur

	* cvsd.c: handle exit of daemon more gracefully by atexit()
	function that closes server socket and prints something in the logs
	* cvsd.c: set permissions for pidfile to reasonable values
	* cvsd.c: fixed wrong copyright and only log strange accept()
	errors
	* cvsd.c: clean out environment on cvsd start (set it equal to the
	environment cvs will be run under)

2002-03-09  arthur

	* ChangeLog: compacted ChangeLog a bit
	* configure.ac, cvsd.c, daemon.c, daemon.h: use daemon() funcion
	for daemonizing process and moved old code to daemon() replacement
	files (find out if there are modern systems without daemon()
	function)

2002-03-03  arthur

	* config.guess, config.sub: new versions of config.guess and
	config.sub

2002-03-02  arthur

	* configure.ac: new configure format

2002-03-01  arthur

	* Makefile.am, README, configure.ac, cvsd.c, cvsd.init.in,
	debian/copyright: updated copyright notices

2002-02-25  arthur

	* ChangeLog, NEWS, TODO, configure.ac, debian/changelog:
	release 0.9.6
	* configure.ac: now should work on solaris

2002-02-23  arthur

	* debian/postinst: stop and start cvsd on reconfigure
	* cvsd.init.in: added note if cvsd is already running or not
	running and removed pidfile
	* cfgfile.c, cvsd.c, reslimit.c: improved debugging

2002-02-21  arthur

	* cvsd.conf.5.in: added information about default values and added
	some notes
	* cvsd.c, reslimit.c, reslimit.h, xmalloc.c, xmalloc.h, cfgfile.c:
	improved include file handling
	* cvsd.c, cfgfile.c, cvsd.conf-dist, cvsd.conf.5.in: add Umask
	configuration option (does umask() and sets CVSUMASK envvar.) and
	added some debugging

2002-02-20  arthur

	* README: forgot not
	* README: added featurelist and bugreporting section
	* config.guess, config.sub: new version of config.guess and
	config.sub
	* Makefile.am, cfgfile.c, cfgfile.h, cvsd.c: split configfile code
	to cfgfile.c
	* cvsd.c: add some comments
	* xmalloc.c: include config.h
	* cvsd.c: renamed getlistensocket() to getserversocket()

2002-01-25  arthur

	* ChangeLog, NEWS, TODO, configure.ac, debian/changelog:
	release 0.9.5
	* Makefile.am: forgot binary in .deb file creation
	* debian/postinst: resource limit may be 'none'
	* reslimit.c: bug that failed to apply resource limits
	* cvsd.c: improved socket handling so restart works better
	* cvsd.c: fixed bug in limit timevalue parsing
	* cvsd.c: added 'unlimited' value for limits
	* reslimit.c: added aliasses for resource names
	* Makefile.am, configure.ac, cvsd.c, reslimit.c, reslimit.h,
	xmalloc.c, xmalloc.h: moved malloc wrapper and resource limit code
	from cvsd.c to separate files for better maintainability (cvsd.c
	was getting too large)
	* Makefile.am: simplified deb target
	* INSTALL, autogen.sh, configure.ac, configure.in, missing:
	upgraded to autoconf 2.50

2002-01-19  arthur

	* configure.in, cvsd.c: some effort to make it compile on solaris
	(not finished)
	* config.guess, config.sub: new version of autotools

2002-01-01  arthur

	* debian/config: removing remaining debug echo
